"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.styles = exports.ErrorMessage = void 0;
const lit_element_1 = require("lit-element");
exports.ErrorMessage = ({ title, children }) => lit_element_1.html `
  <p class="error">
    <span class="error-title">${title}</span>
    <span class="error-description">${children}</span>
  </p>
`;
exports.styles = lit_element_1.css `
  .error {
    position: absolute;
    top: 50%;
    left: 50%;
    max-width: 80%;
    padding: 0.75em 1em;

    background-color: var(--error-bg);
    border-radius: 4px;
    color: var(--error-fg);

    transform: translate(-50%, -50%);
  }

  .error-title {
    display: block;
    font-size: 0.8em;

    font-weight: bold;
    text-transform: capitalize;
  }

  .error-description {
    display: block;
    margin-block-start: 0.5em;
  }
`;
